package Sah::SchemaR::twitter::username;

our $DATE = '2017-01-22'; # DATE
our $VERSION = '0.001'; # VERSION

our $rschema = [
  "cistr",
  [
    { match => "\\A[0-9A-Za-z_]{1,15}\\z", summary => "Twitter username" },
  ],
  ["cistr"],
];

1;
# ABSTRACT: Twitter username

__END__

=pod

=encoding UTF-8

=head1 NAME

Sah::SchemaR::twitter::username - Twitter username

=head1 VERSION

This document describes version 0.001 of Sah::SchemaR::twitter::username (from Perl distribution Sah-Schemas-Twitter), released on 2017-01-22.

=head1 DESCRIPTION

This module is automatically generated by Dist::Zilla::Plugin::Sah::Schemas during distribution build.

A Sah::SchemaR::* module is useful if a client wants to quickly lookup the base type of a schema without having to do any extra resolving. With Sah::Schema::*, one might need to do several lookups if a schema is based on another schema, and so on. Compare for example L<Sah::Schema::poseven> vs L<Sah::SchemaR::poseven>, where in Sah::SchemaR::poseven one can immediately get that the base type is C<int>. Currently L<Perinci::Sub::Complete> uses Sah::SchemaR::* instead of Sah::Schema::* for reduced startup overhead when doing tab completion.

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/Sah-Schemas-Twitter>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-Sah-Schemas-Twitter>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=Sah-Schemas-Twitter>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2017 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
